org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessTimer.TimerInstance.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.TimerInstance.Builder>
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessTimer.TimerInstance.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.ProcessTimer.TimerInstanceOrBuilder
  Enclosing class:
    JBPMMessages.ProcessTimer.TimerInstance

      public static final class JBPMMessages.ProcessTimer.TimerInstance.Builder
      extends com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.TimerInstance.Builder>
      implements JBPMMessages.ProcessTimer.TimerInstanceOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessTimer.TimerInstance`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
    `JBPMMessages.ProcessTimer.TimerInstance` | `build()`
    `JBPMMessages.ProcessTimer.TimerInstance` | `buildPartial()`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `clear()`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `clearActivatedTime()` `optional int64 activated_time = 6;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `clearDelay()` `optional int64 delay = 3;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `clearDEPRECATEDSessionId()` `optional int32 DEPRECATED_sessionId = 8;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `clearId()` `optional int64 id = 1;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `clearLastTriggered()` `optional int64 last_triggered = 7;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `clearName()` `optional string name = 11;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `clearPeriod()` `optional int64 period = 4;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `clearProcessInstanceId()` `optional int64 process_instance_id = 5;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `clearRepeatLimit()` `optional int32 repeatLimit = 10;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `clearSessionId()` `optional int64 sessionId = 9;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `clearTimerId()` `optional int64 timer_id = 2;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `clone()`
    `long` | `getActivatedTime()` `optional int64 activated_time = 6;`
    `JBPMMessages.ProcessTimer.TimerInstance` | `getDefaultInstanceForType()`
    `long` | `getDelay()` `optional int64 delay = 3;`
    `int` | `getDEPRECATEDSessionId()` `optional int32 DEPRECATED_sessionId = 8;`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `long` | `getId()` `optional int64 id = 1;`
    `long` | `getLastTriggered()` `optional int64 last_triggered = 7;`
    `String` | `getName()` `optional string name = 11;`
    `com.google.protobuf.ByteString` | `getNameBytes()` `optional string name = 11;`
    `long` | `getPeriod()` `optional int64 period = 4;`
    `long` | `getProcessInstanceId()` `optional int64 process_instance_id = 5;`
    `int` | `getRepeatLimit()` `optional int32 repeatLimit = 10;`
    `long` | `getSessionId()` `optional int64 sessionId = 9;`
    `long` | `getTimerId()` `optional int64 timer_id = 2;`
    `boolean` | `hasActivatedTime()` `optional int64 activated_time = 6;`
    `boolean` | `hasDelay()` `optional int64 delay = 3;`
    `boolean` | `hasDEPRECATEDSessionId()` `optional int32 DEPRECATED_sessionId = 8;`
    `boolean` | `hasId()` `optional int64 id = 1;`
    `boolean` | `hasLastTriggered()` `optional int64 last_triggered = 7;`
    `boolean` | `hasName()` `optional string name = 11;`
    `boolean` | `hasPeriod()` `optional int64 period = 4;`
    `boolean` | `hasProcessInstanceId()` `optional int64 process_instance_id = 5;`
    `boolean` | `hasRepeatLimit()` `optional int32 repeatLimit = 10;`
    `boolean` | `hasSessionId()` `optional int64 sessionId = 9;`
    `boolean` | `hasTimerId()` `optional int64 timer_id = 2;`
    `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `mergeFrom(JBPMMessages.ProcessTimer.TimerInstance other)`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `setActivatedTime(long value)` `optional int64 activated_time = 6;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `setDelay(long value)` `optional int64 delay = 3;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `setDEPRECATEDSessionId(int value)` `optional int32 DEPRECATED_sessionId = 8;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `setId(long value)` `optional int64 id = 1;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `setLastTriggered(long value)` `optional int64 last_triggered = 7;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `setName(String value)` `optional string name = 11;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `setNameBytes(com.google.protobuf.ByteString value)` `optional string name = 11;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `setPeriod(long value)` `optional int64 period = 4;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `setProcessInstanceId(long value)` `optional int64 process_instance_id = 5;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `setRepeatLimit(int value)` `optional int32 repeatLimit = 10;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `setSessionId(long value)` `optional int64 sessionId = 9;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `setTimerId(long value)` `optional int64 timer_id = 2;`
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

      `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.TimerInstance.Builder>`

    - #### clear

          public JBPMMessages.ProcessTimer.TimerInstance.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.TimerInstance.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.TimerInstance.Builder>`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessTimer.TimerInstance getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public JBPMMessages.ProcessTimer.TimerInstance build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public JBPMMessages.ProcessTimer.TimerInstance buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### clone

          public JBPMMessages.ProcessTimer.TimerInstance.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.TimerInstance.Builder>`

    - #### setField

          public JBPMMessages.ProcessTimer.TimerInstance.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                          Object value)

      Specified by:
        `setField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.TimerInstance.Builder>`

    - #### clearField

          public JBPMMessages.ProcessTimer.TimerInstance.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

      Specified by:
        `clearField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.TimerInstance.Builder>`

    - #### clearOneof

          public JBPMMessages.ProcessTimer.TimerInstance.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

      Specified by:
        `clearOneof` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.TimerInstance.Builder>`

    - #### setRepeatedField

          public JBPMMessages.ProcessTimer.TimerInstance.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                                  int index,
                                                                                  Object value)

      Specified by:
        `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.TimerInstance.Builder>`

    - #### addRepeatedField

          public JBPMMessages.ProcessTimer.TimerInstance.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                                  Object value)

      Specified by:
        `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.TimerInstance.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessTimer.TimerInstance.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessTimer.TimerInstance.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessTimer.TimerInstance.Builder mergeFrom(JBPMMessages.ProcessTimer.TimerInstance other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.TimerInstance.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessTimer.TimerInstance.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                    throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessTimer.TimerInstance.Builder>`
      Throws:
        `IOException`

    - #### hasId

          public boolean hasId()

      `optional int64 id = 1;`
      Specified by:
        `hasId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### getId

          public long getId()

      `optional int64 id = 1;`
      Specified by:
        `getId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### setId

          public JBPMMessages.ProcessTimer.TimerInstance.Builder setId(long value)

      `optional int64 id = 1;`

    - #### clearId

          public JBPMMessages.ProcessTimer.TimerInstance.Builder clearId()

      `optional int64 id = 1;`

    - #### hasTimerId

          public boolean hasTimerId()

      `optional int64 timer_id = 2;`
      Specified by:
        `hasTimerId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### getTimerId

          public long getTimerId()

      `optional int64 timer_id = 2;`
      Specified by:
        `getTimerId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### setTimerId

          public JBPMMessages.ProcessTimer.TimerInstance.Builder setTimerId(long value)

      `optional int64 timer_id = 2;`

    - #### clearTimerId

          public JBPMMessages.ProcessTimer.TimerInstance.Builder clearTimerId()

      `optional int64 timer_id = 2;`

    - #### hasDelay

          public boolean hasDelay()

      `optional int64 delay = 3;`
      Specified by:
        `hasDelay` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### getDelay

          public long getDelay()

      `optional int64 delay = 3;`
      Specified by:
        `getDelay` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### setDelay

          public JBPMMessages.ProcessTimer.TimerInstance.Builder setDelay(long value)

      `optional int64 delay = 3;`

    - #### clearDelay

          public JBPMMessages.ProcessTimer.TimerInstance.Builder clearDelay()

      `optional int64 delay = 3;`

    - #### hasPeriod

          public boolean hasPeriod()

      `optional int64 period = 4;`
      Specified by:
        `hasPeriod` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### getPeriod

          public long getPeriod()

      `optional int64 period = 4;`
      Specified by:
        `getPeriod` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### setPeriod

          public JBPMMessages.ProcessTimer.TimerInstance.Builder setPeriod(long value)

      `optional int64 period = 4;`

    - #### clearPeriod

          public JBPMMessages.ProcessTimer.TimerInstance.Builder clearPeriod()

      `optional int64 period = 4;`

    - #### hasProcessInstanceId

          public boolean hasProcessInstanceId()

      `optional int64 process_instance_id = 5;`
      Specified by:
        `hasProcessInstanceId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### getProcessInstanceId

          public long getProcessInstanceId()

      `optional int64 process_instance_id = 5;`
      Specified by:
        `getProcessInstanceId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### setProcessInstanceId

          public JBPMMessages.ProcessTimer.TimerInstance.Builder setProcessInstanceId(long value)

      `optional int64 process_instance_id = 5;`

    - #### clearProcessInstanceId

          public JBPMMessages.ProcessTimer.TimerInstance.Builder clearProcessInstanceId()

      `optional int64 process_instance_id = 5;`

    - #### hasActivatedTime

          public boolean hasActivatedTime()

      `optional int64 activated_time = 6;`
      Specified by:
        `hasActivatedTime` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### getActivatedTime

          public long getActivatedTime()

      `optional int64 activated_time = 6;`
      Specified by:
        `getActivatedTime` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### setActivatedTime

          public JBPMMessages.ProcessTimer.TimerInstance.Builder setActivatedTime(long value)

      `optional int64 activated_time = 6;`

    - #### clearActivatedTime

          public JBPMMessages.ProcessTimer.TimerInstance.Builder clearActivatedTime()

      `optional int64 activated_time = 6;`

    - #### hasLastTriggered

          public boolean hasLastTriggered()

      `optional int64 last_triggered = 7;`
      Specified by:
        `hasLastTriggered` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### getLastTriggered

          public long getLastTriggered()

      `optional int64 last_triggered = 7;`
      Specified by:
        `getLastTriggered` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### setLastTriggered

          public JBPMMessages.ProcessTimer.TimerInstance.Builder setLastTriggered(long value)

      `optional int64 last_triggered = 7;`

    - #### clearLastTriggered

          public JBPMMessages.ProcessTimer.TimerInstance.Builder clearLastTriggered()

      `optional int64 last_triggered = 7;`

    - #### hasDEPRECATEDSessionId

          public boolean hasDEPRECATEDSessionId()

      `optional int32 DEPRECATED_sessionId = 8;`
      Specified by:
        `hasDEPRECATEDSessionId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### getDEPRECATEDSessionId

          public int getDEPRECATEDSessionId()

      `optional int32 DEPRECATED_sessionId = 8;`
      Specified by:
        `getDEPRECATEDSessionId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### setDEPRECATEDSessionId

          public JBPMMessages.ProcessTimer.TimerInstance.Builder setDEPRECATEDSessionId(int value)

      `optional int32 DEPRECATED_sessionId = 8;`

    - #### clearDEPRECATEDSessionId

          public JBPMMessages.ProcessTimer.TimerInstance.Builder clearDEPRECATEDSessionId()

      `optional int32 DEPRECATED_sessionId = 8;`

    - #### hasSessionId

          public boolean hasSessionId()

      `optional int64 sessionId = 9;`
      Specified by:
        `hasSessionId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### getSessionId

          public long getSessionId()

      `optional int64 sessionId = 9;`
      Specified by:
        `getSessionId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### setSessionId

          public JBPMMessages.ProcessTimer.TimerInstance.Builder setSessionId(long value)

      `optional int64 sessionId = 9;`

    - #### clearSessionId

          public JBPMMessages.ProcessTimer.TimerInstance.Builder clearSessionId()

      `optional int64 sessionId = 9;`

    - #### hasRepeatLimit

          public boolean hasRepeatLimit()

      `optional int32 repeatLimit = 10;`
      Specified by:
        `hasRepeatLimit` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### getRepeatLimit

          public int getRepeatLimit()

      `optional int32 repeatLimit = 10;`
      Specified by:
        `getRepeatLimit` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### setRepeatLimit

          public JBPMMessages.ProcessTimer.TimerInstance.Builder setRepeatLimit(int value)

      `optional int32 repeatLimit = 10;`

    - #### clearRepeatLimit

          public JBPMMessages.ProcessTimer.TimerInstance.Builder clearRepeatLimit()

      `optional int32 repeatLimit = 10;`

    - #### hasName

          public boolean hasName()

      `optional string name = 11;`
      Specified by:
        `hasName` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### getName

          public String getName()

      `optional string name = 11;`
      Specified by:
        `getName` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### getNameBytes

          public com.google.protobuf.ByteString getNameBytes()

      `optional string name = 11;`
      Specified by:
        `getNameBytes` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`

    - #### setName

          public JBPMMessages.ProcessTimer.TimerInstance.Builder setName(String value)

      `optional string name = 11;`

    - #### clearName

          public JBPMMessages.ProcessTimer.TimerInstance.Builder clearName()

      `optional string name = 11;`

    - #### setNameBytes

          public JBPMMessages.ProcessTimer.TimerInstance.Builder setNameBytes(com.google.protobuf.ByteString value)

      `optional string name = 11;`

    - #### setUnknownFields

          public final JBPMMessages.ProcessTimer.TimerInstance.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

      Specified by:
        `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.TimerInstance.Builder>`

    - #### mergeUnknownFields

          public final JBPMMessages.ProcessTimer.TimerInstance.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

      Specified by:
        `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<JBPMMessages.ProcessTimer.TimerInstance.Builder>`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.